/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.productionunit;

import java.util.Date;
import nl.cloudfarming.client.stock.Race;

/**
 *
 * @author Timon Veenstra
 */
public class ProductionUnit {

    private String name;

    //FIXME Race needs to be initialized also when racekey is set by retrieval from db
    // Either make class Race an entity or implement readObject() / writeObject() here. (not mandatory by serializable interface)
    private Race race;
    
    private String raceKey;
    
    private Date startDate;
    
    private Date endDate;
    
    private int color;

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Race getRace() {
        return race;
    }

    public void setRace(Race race) {
        this.race = race;
    }

    public String getRaceKey() {
        return raceKey;
    }

    public void setRaceKey(String raceKey) {
        this.raceKey = raceKey;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    
}
